From f7b5a7fc99c73beaf27fb326ec605cbdadc02037 Mon Sep 17 00:00:00 2001
From: Laurent Vivier <lvivier@redhat.com>
Date: Fri, 24 Mar 2017 10:53:00 +0100
Subject: spapr: update SPAPR_COMPAT_RHEL7_3

RH-Author: Laurent Vivier <lvivier@redhat.com>
Message-id: <20170324105301.29006-2-lvivier@redhat.com>
Patchwork-id: 74527
O-Subject: [PATCH v3 1/2] spapr: update SPAPR_COMPAT_RHEL7_3
Bugzilla: 1435086
RH-Acked-by: Dr. David Alan Gilbert <dgilbert@redhat.com>
RH-Acked-by: Marcel Apfelbaum <marcel@redhat.com>
RH-Acked-by: Laszlo Ersek <lersek@redhat.com>

Add property from SPAPR_COMPAT_2_8 to SPAPR_COMPAT_RHEL7_3:
    {
        .driver   = TYPE_SPAPR_PCI_HOST_BRIDGE,
        .property = "pcie-extended-configuration-space",
        .value    = "off",
    },

Signed-off-by: Laurent Vivier <lvivier@redhat.com>
Signed-off-by: Miroslav Rezanina <mrezanin@redhat.com>
(cherry picked from commit a4e58bb68cc35e269a08841d2dc8f389a0499bf1)
---
 hw/ppc/spapr.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/hw/ppc/spapr.c b/hw/ppc/spapr.c
index 9bcf6c3..51766af 100644
--- a/hw/ppc/spapr.c
+++ b/hw/ppc/spapr.c
@@ -3456,7 +3456,7 @@ DEFINE_SPAPR_MACHINE(rhel740, "rhel7.4.0", true);
 
 /*
  * pseries-rhel7.3.0
- * like SPAPR_COMPAT_2_6 and _2_7 but "ddw" has been backported to RHEL7_3
+ * like SPAPR_COMPAT_2_6/_2_7/_2_8 but "ddw" has been backported to RHEL7_3
  */
 #define SPAPR_COMPAT_RHEL7_3 \
     HW_COMPAT_RHEL7_3                               \
@@ -3479,6 +3479,11 @@ DEFINE_SPAPR_MACHINE(rhel740, "rhel7.4.0", true);
         .driver = TYPE_SPAPR_PCI_HOST_BRIDGE,       \
         .property = "pre-2.8-migration",            \
         .value    = "on",                           \
+    },                                              \
+    {                                               \
+        .driver   = TYPE_SPAPR_PCI_HOST_BRIDGE,     \
+        .property = "pcie-extended-configuration-space",\
+        .value    = "off",                          \
     },
 
 static void spapr_machine_rhel730_instance_options(MachineState *machine)
-- 
1.8.3.1

